%define upstream_name    HTTP-Thin
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Thin Wrapper around HTTP::Tiny to play nice with HTTP::Message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
WARNING: This module is untested beyond the very basics. The implementation
is simple enough that it shouldn't do evil things but, yeah it's still not
approved for use by small children.

'HTTP::Thin' is a thin wrapper around the HTTP::Tiny manpage adding the
ability to pass in the HTTP::Request manpage objects and get back the
HTTP::Response manpage objects. The maintainers of the HTTP::Tiny manpage,
justifiably, don't want to have to maintain compatibility but many other
projects already consume the the HTTP::Message manpage objects. This is
just glue code doing what it does best.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml LICENSE CHANGES README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1028452
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 951343
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.6.0-1.mga5
+ Revision: 805236
- imported package perl-HTTP-Thin


* Wed Dec 24 2014 Buchan Milne <buchan> 0.006-1mga
- initial mageia release, generated with cpan2dist
